getDpReportLog(params: IGetDpReportLog)

Requires:
@ray-js/ray≥1.5.2

Description

Get DP reporting logs (supports pagination)

Parameters

ParameterTypeRequiredDescription
YesRequest parameters

Return Value

Type: Promise<IGetDpReportLogResponse>
Log data, including total count, DP log list, and whether there is a next page

Valid Values

IGetDpReportLog.sortType
ValueDescriptionSince
DESC--
ASC--

Examples

Basic usage

import { getDpReportLog } from '@ray-js/ray';

getDpReportLog({
  devId: 'vdevo169477319679442',
  dpIds: '1,2',
  offset: 0,
  limit: 50,
  sortType: 'DESC',
}).then((res) => {
  console.log('Reported logs:', res);
}).catch((error) => {
  console.error(error);
});